# -*- Python -*-

from lit import Test
import lit.formats
import lit.util
import os
import subprocess

config.clang = os.path.realpath(lit.util.which('clang-bolt.inst', config.clang_tools_dir)).replace('\\', '/')

config.name = 'Clang Perf Training'
config.suffixes = ['.c', '.cc', '.cpp', '.m', '.mm', '.cu', '.ll', '.cl', '.s', '.S', '.modulemap', '.test']

use_lit_shell = os.environ.get("LIT_USE_INTERNAL_SHELL")
config.test_format = lit.formats.ShTest(use_lit_shell == "0")
config.substitutions.append( ('%clang_cpp_skip_driver', ' %s --driver-mode=g++ ' % (config.clang)))
config.substitutions.append( ('%clang_cpp', ' %s --driver-mode=g++ ' % (config.clang)))
config.substitutions.append( ('%clang_skip_driver', ' %s ' % (config.clang)))
config.substitutions.append( ('%clang', ' %s ' % (config.clang) ) )
config.substitutions.append( ('%test_root', config.test_exec_root ) )
